public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ada/asis/
Date: Mon, 16 Sep 2019 12:51:22 +0000 (UTC)	[thread overview]
Message-ID: <1568638263.1ba2b9fe1d00fe1bb693e13418160d50f28f8fe7.tupone@gentoo> (raw)

commit:     1ba2b9fe1d00fe1bb693e13418160d50f28f8fe7
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 16 12:51:03 2019 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Mon Sep 16 12:51:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ba2b9fe

dev-ada/asis: simplify using ada eclass

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ada/asis/asis-2016-r1.ebuild | 51 +++++++++++++++++++++++++++++++++++++
 dev-ada/asis/asis-2019-r1.ebuild | 54 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/dev-ada/asis/asis-2016-r1.ebuild b/dev-ada/asis/asis-2016-r1.ebuild
new file mode 100644
index 00000000000..657ae8d7558
--- /dev/null
+++ b/dev-ada/asis/asis-2016-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ADA_COMPAT=( gnat_201{6,7} )
+inherit ada multiprocessing
+MYP=${PN}-gpl-${PV}-src
+
+DESCRIPTION="To develop tools for Ada software"
+HOMEPAGE="http://libre.adacore.com/"
+SRC_URI="http://mirrors.cdn.adacore.com/art/57399029c7a447658e0aff71
+	-> ${MYP}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-ada/gnat_util[${ADA_USEDEP}]
+	|| (
+		dev-ada/gnatcoll[${ADA_USEDEP},projects,shared]
+		dev-ada/gnatcoll-core[${ADA_USEDEP},shared]
+	)"
+DEPEND="${RDEPEND}
+	dev-ada/gprbuild[${ADA_USEDEP}]"
+
+REQUIRED_USE="${ADA_REQUIRED_USE}"
+
+S="${WORKDIR}"/${MYP}
+
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+
+src_compile() {
+	emake PROCESSORS=$(makeopts_jobs) \
+		GPRBUILD_FLAGS="-vl"
+	emake tools PROCESSORS=$(makeopts_jobs) \
+		GPRBUILD_FLAGS="-vl \
+		-XGPR_BUILD=relocatable \
+		-XLIBRARY_TYPE=relocatable \
+		-XXMLADA_BUILD=relocatable"
+}
+
+src_install() {
+	emake prefix="${D}"/usr install
+	emake prefix="${D}"/usr install-tools \
+		GPRINSTALL="gprinstall \
+		-XGPR_BUILD=relocatable \
+		-XLIBRARY_TYPE=relocatable \
+		-XXMLADA_BUILD=relocatable"
+}

diff --git a/dev-ada/asis/asis-2019-r1.ebuild b/dev-ada/asis/asis-2019-r1.ebuild
new file mode 100644
index 00000000000..dce0c2b4463
--- /dev/null
+++ b/dev-ada/asis/asis-2019-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ADA_COMPAT=( gnat_201{7,8,9} )
+inherit ada multiprocessing
+MYP=${P}-20190517-18AB5-src
+
+DESCRIPTION="To develop tools for Ada software"
+HOMEPAGE="http://libre.adacore.com/"
+SRC_URI="http://mirrors.cdn.adacore.com/art/5cdf849031e87aa2cdf16b10
+	-> ${MYP}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+	dev-ada/gnat_util[${ADA_USEDEP}]
+	|| (
+		dev-ada/gnatcoll-core[${ADA_USEDEP},shared]
+		dev-ada/gnatcoll[${ADA_USEDEP},projects,shared]
+	)"
+DEPEND="${RDEPEND}
+	dev-ada/gprbuild[${ADA_USEDEP}]"
+
+REQUIRED_USE="${ADA_REQUIRED_USE}"
+
+S="${WORKDIR}"/${MYP}
+
+PATCHES=( "${FILESDIR}"/${PN}-2017-gentoo.patch )
+
+src_compile() {
+	emake PROCESSORS=$(makeopts_jobs) \
+		GPRBUILD_FLAGS="-vl"
+	emake tools PROCESSORS=$(makeopts_jobs) \
+		GPRBUILD_FLAGS="-vl \
+		-XGPR_BUILD=relocatable \
+		-XLIBRARY_TYPE=relocatable \
+		-XXMLADA_BUILD=relocatable"
+}
+
+src_install() {
+	emake prefix="${D}"/usr install
+	emake prefix="${D}"/usr install-tools \
+		GPRINSTALL="gprinstall \
+		-XGPR_BUILD=relocatable \
+		-XLIBRARY_TYPE=relocatable \
+		-XXMLADA_BUILD=relocatable"
+	rm -r "${D}"/usr/share/gpr/manifests || die
+	mv "${D}"/usr/bin/gnatpp{,-asis} || die
+}


             reply	other threads:[~2019-09-16 12:51 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-09-16 12:51 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-09-19 10:06 [gentoo-commits] repo/gentoo:master commit in: dev-ada/asis/ Alfredo Tupone
2019-11-09 19:33 Alfredo Tupone
2019-11-03 20:34 Alfredo Tupone
2019-10-21  6:38 Alfredo Tupone
2019-08-28 19:42 Alfredo Tupone
2019-06-21  6:17 Alfredo Tupone
2019-06-14  6:36 Alfredo Tupone
2019-06-08 18:05 Alfredo Tupone
2019-05-31 12:35 Alfredo Tupone
2018-12-02  8:58 Alfredo Tupone
2018-12-01 20:51 Alfredo Tupone
2018-11-29 21:16 Alfredo Tupone
2018-11-27 21:40 Alfredo Tupone
2018-11-27 19:09 Alfredo Tupone
2018-11-27 13:52 Alfredo Tupone
2018-11-27  9:57 Alfredo Tupone
2018-11-20 17:54 Alfredo Tupone
2018-11-14 21:43 Alfredo Tupone
2018-07-08  9:02 Alfredo Tupone
2018-07-01 14:34 Alfredo Tupone
2018-06-25  7:39 Alfredo Tupone
2018-06-15 10:22 Alfredo Tupone
2018-04-21 19:56 Alfredo Tupone
2018-03-09 13:34 Alfredo Tupone
2018-03-08 10:18 Alfredo Tupone
2017-11-29 14:22 Alfredo Tupone
2017-07-05 12:00 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1568638263.1ba2b9fe1d00fe1bb693e13418160d50f28f8fe7.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox